## ros-kinetic-ainstein-radar 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ainstein_radar)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-ainstein-radar (3.0.1-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 11 Feb 2020 06:00:00 -0000

ros-kinetic-ainstein-radar (3.0.0-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Thu, 06 Feb 2020 06:00:00 -0000

ros-kinetic-ainstein-radar (2.0.2-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 19 Nov 2019 06:00:00 -0000

ros-kinetic-ainstein-radar (2.0.1-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-kinetic-ainstein-radar (2.0.0-1xenial) xenial; urgency=high

  * Add new ainstein_radar_tools subpkg
    Added a new ainstein_radar_tools subpackage to ainstein_radar which is
    meant to store tools and utilities based on the other subpackages but
    not core to development, for example sensor fusion and SLAM nodes using
    radar data among other sensors.  This could arguably be broken out into
    its own package and will be if necessary, however the intent is for
    these tools to aid in development for anyone using Ainstein radars.
    The first and only tool in this subpackage is a simple replacement for
    the "CapApp" radar/camera sensor fusion application which draws boxes
    over the image to indicate targets. This requires a calibrated camera
    publishing CameraInfo messages (a RealSense d435i was used for the
    development). A sample launch file for using this with T79 is in the
    launch folder and will probably be replaced with a ROS wiki tutorial.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-kinetic-ainstein-radar (1.1.0-1xenial) xenial; urgency=high

  * Minor fixes to package XML formatting
    Fixed the package XML file formatting and added missing content to
    conform to the suggested style guidelines.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 29 Oct 2019 05:00:00 -0000

ros-kinetic-ainstein-radar (1.0.3-1xenial) xenial; urgency=high

  * Minor corrections to metapackage package XML
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Thu, 03 Oct 2019 05:00:00 -0000

ros-kinetic-ainstein-radar (1.0.2-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Wed, 25 Sep 2019 05:00:00 -0000

ros-kinetic-ainstein-radar (1.0.1-1xenial) xenial; urgency=high

  * Migrate old radar_sensor_msgs pkg to new ainstein_radar_msgs subpkg
  * New metapackage for Ainstein radar ROS support
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 24 Sep 2019 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ainstein-radar
Section: misc
Priority: optional
Maintainer: Nick Rotella <nick.rotella@ainstein.ai>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: https://wiki.ros.org/ainstein_radar
Standards-Version: 3.9.2

Package: ros-kinetic-ainstein-radar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ainstein-radar-drivers, ros-kinetic-ainstein-radar-filters, ros-kinetic-ainstein-radar-gazebo-plugins, ros-kinetic-ainstein-radar-msgs, ros-kinetic-ainstein-radar-rviz-plugins, ros-kinetic-ainstein-radar-tools
Description: ROS support for Ainstein radar sensors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ainstein-radar//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
